=== debian/control ===
Source: ros-noetic-open-karto
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mfergs7@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-open-karto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev
Description: Catkinized ROS packaging of the OpenKarto library
